Get the available appointments for a shipment
post
/custom-actions/getAvailableAppointments/shipments/
Request
There are no request parameters for this operation.
Supported Media Types
- application/json
Root Schema : schema
Type:
Show Source
object-
appointmentEndTime: string
Appointment End Time at the stop in yyyy-MM-dd HH:mm:ss format
-
appointmentStartTime: string
Appointment Start Time at the stop in yyyy-MM-dd HH:mm:ss format
-
locationGid: string
Location ID - Shipment appointment location must be specified using either a Stop Number OR a Stop Location ID
-
locationResourceTypeGid: string
Location Resource Type Gid - Filter the appointment options based on the location resource type
-
numberOfOptions: integer
Number of appointment options requested - maximum is 50
-
shipmentGid: string
Shipment ID - Shipment must be identified using one of Shipment ID OR Shipment Reference Number
-
shipmentRefnumQualGid: string
Shipment Reference Number Qualifier ID - In the absence of a Shipment ID, a shipment can be identified using a combination of a Shipment Reference Qualifier ID AND Shipment Reference Number.
-
shipmentRefnumValue: string
Shipment Reference Number - In the absence of a Shipment ID, a shipment can be identified using a combination of a Shipment Reference Qualifier ID AND Shipment Reference Number.
-
showOptionsForFirstAvailSlotOnly: boolean
When set to true, the action will return appointment options for all resources from the next available slot. If set to false, the action will return appointment options for all resources from all time slots.
-
stopNumber: integer
Stop Number - Shipment appointment location must be specified using one of Stop Number OR Stop Location ID
Response
Supported Media Types
- application/json
200 Response
Success! A successful POST method returns a 200 status code.
Root Schema : availableAppointmentOptionsResponse
Type:
objectAvailable Appointment Options
Show Source
-
appointmentOptions: array
appointmentOptions
List of available appointment options
-
numberOfOptions: integer
Number of appointment options in response
-
responseStatus: object
responseStatus
Nested Schema : appointmentOptions
Type:
arrayList of available appointment options
Show Source
-
Array of:
object appointmentOption
Available Appointment Option Details
Nested Schema : responseStatus
Type:
Show Source
object-
isSuccess: boolean
Specifies if the action was successful
-
statusMessage: string
Error message if action was unsuccessful
Nested Schema : appointmentOption
Type:
objectAvailable Appointment Option Details
Show Source
-
appointmentEndTime: string
Appointment End Time at the stop in yyyy-MM-dd HH:mm:ss format
-
appointmentStartTime: string
Appointment Start Time at the stop in yyyy-MM-dd HH:mm:ss format
-
infeasiblityCodes: array
infeasiblityCodes
List of Infeasiblity Codes when appointment is not feasible
-
isAppointmentFeasible: boolean
Is Appointment Feasible
-
locationResourceGroup: string
Location Resource Group
-
locationResourceName: string
Location Resource Name
-
locationResourceTypeGid: string
Location Resource Type Gid for each appointment option
-
preferenceLevel: integer
Preference Level
Nested Schema : infeasiblityCodes
Type:
arrayList of Infeasiblity Codes when appointment is not feasible
Show Source
-
Array of:
string
Describes why appointment is infeasible
400 Response
Your request couldn't be processed because it contains missing or invalid information, such as a validation error on an input field, a missing required value, and so forth.
Root Schema : errorResponse
Type:
Show Source
object-
detail(required): string
Provides more information about the error.
-
status(required): number
HTTP status code.
-
title(required): string
Provides a short summary message.
401 Response
Unauthorized, the request was not successful because it lacks valid authentication credentials for the requested resource.
Root Schema : errorResponse
Type:
Show Source
object-
detail(required): string
Provides more information about the error.
-
status(required): number
HTTP status code.
-
title(required): string
Provides a short summary message.
403 Response
Access to the specified resource has been forbidden.
Root Schema : errorResponse
Type:
Show Source
object-
detail(required): string
Provides more information about the error.
-
status(required): number
HTTP status code.
-
title(required): string
Provides a short summary message.
500 Response
The server encountered something unexpected that prevented it from completing the request.
Root Schema : errorResponse
Type:
Show Source
object-
detail(required): string
Provides more information about the error.
-
status(required): number
HTTP status code.
-
title(required): string
Provides a short summary message.